Get trades risk

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /projects/{projectId}/scenarios/{scenarioId}/trades/risk

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • dataDate string
  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • dataDate string(date-time)
    • riskScores array[object]
      Hide riskScores attributes Show riskScores attributes object
      • codeId integer(int64)
      • codeValue string
      • grade object
        Hide grade attributes Show grade attributes object
        • mark string
        • indicator string

          Values are GOOD, FINE, or BAD.

        • score number(double)
      • metrics array[object]
        Hide metrics attributes Show metrics attributes object
        • name string

          Values are LOW_FLOAT_RISK, FINISH_VARIANCE_RISK, or SUCCESSOR_COUNT_RISK.

        • message string
        • value number(double)
        • divisor integer(int32)
        • normalizedValue number(double)
        • impact number(double)
        • indicator string

          Values are GOOD, FINE, or BAD.

      • children array[object]
    • overallScore object
GET /projects/{projectId}/scenarios/{scenarioId}/trades/risk
curl \
 --request GET 'https://live.smartpmtech.com/projects/{projectId}/scenarios/{scenarioId}/trades/risk' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "dataDate": "2026-05-04T09:42:00Z",
  "riskScores": [
    {
      "codeId": 42,
      "codeValue": "string",
      "grade": {
        "mark": "string",
        "indicator": "GOOD",
        "score": 42.0
      },
      "metrics": [
        {
          "name": "LOW_FLOAT_RISK",
          "message": "string",
          "value": 42.0,
          "divisor": 42,
          "normalizedValue": 42.0,
          "impact": 42.0,
          "indicator": "GOOD"
        }
      ],
      "children": [
        {}
      ]
    }
  ],
  "overallScore": {}
}